<?php
/**
 *
 * User Notification Control [UNC]. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2020-forever, Dark❶, https://dark1.tech
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 *
 * Language : Spanish Casual - Spain [es_x_tu]
 * Translators :
 * ThE KuKa - https://www.phpbb-es.com
 *
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [
	// Common
	'ACP_UNC_SET'	=> 'Ajustes',
	'ACP_UNC_BY'	=> 'Por',

	// Main
	'ACP_UNC_ENABLE'					=> 'Habilitar Control de notificaciones de usuario',
	'ACP_UNC_ENABLE_EXPLAIN'			=> 'Esto habilita el Control de notificaciones de usuario.<br>Por defecto : No',
	'ACP_UNC_NOTIFY'					=> 'Notificación de usuario desactivada',
	'ACP_UNC_NOTIFY_EXPLAIN'			=> 'Selecciona la opción para forzar el control de notificación de usuario.<br>Por defecto : <b>Ninguno</b><br>Son las siguientes opciones',
	'ACP_UNC_NOTIFY_ENABLE'				=> 'Habilitar',
	'ACP_UNC_NOTIFY_ENABLE_EXPLAIN'		=> 'Forzar la habilitación de la notificación de usuario.',
	'ACP_UNC_NOTIFY_NONE'				=> 'Ninguno',
	'ACP_UNC_NOTIFY_NONE_EXPLAIN'		=> 'El usuario selecciona la notificación',
	'ACP_UNC_NOTIFY_DISABLE'			=> 'Deshabilitar',
	'ACP_UNC_NOTIFY_DISABLE_EXPLAIN'	=> 'Forzar la desactivación de la notificación de usuario.',
	'ACP_UNC_NO_LANG_KEY'				=> 'Sin clave de idioma',
	'ACP_UNC_NOTIFY_NAME'				=> 'Nombre',
	'ACP_UNC_NOTIFY_EXPLAIN'			=> 'Explicación',
	'ACP_UNC_NOTIFY_TYPE_ID'			=> 'Tipo de ID',
	'ACP_UNC_NOTIFY_LANG_KEY'			=> 'Clave de idioma',
	'ACP_UNC_NOTIFY_TOGGLE'				=> 'Alternar',
	'ACP_UNC_NOTIFY_TOGGLE_EXPLAIN'		=> 'Para mostrar información adicional',
	'ACP_UNC_NO_NOTICE_TITLE'			=> 'Aviso',
	'ACP_UNC_NO_NOTICE_LANG_KEY'		=> 'El “<b>%1$s </b>” es para indicar que ni el núcleo ni otras extensiones no han proporcionado la clave de idioma requerida para el <b>Nombre de la notificación</b>.',
	'ACP_UNC_NO_NOTICE_FAQ_INFO'		=> 'Para obtener más detalles sobre esto, lee los FAQ de esta extensión en la CDB de phpBB.',

	// Prune
	'ACP_UNC_ALL_NOTIFY_EXPIRE'			=> 'Caducidad de todas las notificaciones',
	'ACP_UNC_ALL_NOTIFY_EXPIRE_EXPLAIN'	=> 'Número de días después de “<b>%1$s</b>” que transcurrirán,<br>antes de que se eliminen todas las notificaciones (leídas y no leídas).<br>Default : 365 Días',
	'ACP_UNC_TOTAL_DAYS'				=> 'Día(s) totales',
	'ACP_UNC_TOTAL_DAYS_EXPLAIN'		=> 'Eliminar todas las notificaciones anteriores,<br>“<b>%1$s</b>” + “<b>%2$s</b>” días(s) totales.<br>Esto es “<b>Solo lectura</b>”.',
	'ACP_UNC_READ_NOTIFICATION_NOTICE'	=> 'Esto es “<b>Solo lectura</b>”, cambia este ajuste aquí',
	'ACP_UNC_CRON_SET'					=> 'Ajustes de tarea cron',
	'ACP_UNC_CRON_ENABLE'				=> 'Habilitar eliminación automática de todas las notificaciones',
	'ACP_UNC_CRON_INTERVAL'				=> 'Intervalo de notificación de eliminación automática',
	'ACP_UNC_CRON_LAST_RUN'				=> 'Última ejecución de la notificación de eliminación',
	'ACP_UNC_CRON_NEXT_RUN'				=> 'Próxima ejecución de eliminación de notificaciones',
	'ACP_UNC_CRON_RUN'					=> 'Ejecutar eliminar todas las notificaciones',
	'ACP_UNC_CRON_RUN_NOW'				=> 'Ejecutar ahora',
	'ACP_UNC_DAYS'						=> 'Día(s)',
	'ACP_UNC_STAT_TAB'					=> 'Notificación de estadísticas tabulares',
	'ACP_UNC_STAT_NOTIFICATION'			=> 'Notificaciones',
	'ACP_UNC_STAT_UNREAD'				=> 'No leído',
	'ACP_UNC_STAT_READ'					=> 'Leído',
	'ACP_UNC_STAT_ALL'					=> 'Total actual',
	'ACP_UNC_STAT_EXP'					=> 'Caducará',
	'ACP_UNC_STAT_REM'					=> 'Permanecerá',
	'ACP_UNC_STAT_NOTICE'				=> 'Las estadísticas son con respecto a “<b>%1$s</b>” (hora actual).',
]);
